NCRENAME(1)

NAME
ncrename - netCDF Renamer

SYNTAX
ncrename [-a old_name,new_name] [-a ... ] [-D] [-d old_name,new_name] [-d ... ] [-g old_name,new_name] [-g ... ] [--glb att_name= att_val]] [-H] [-h] [--hdr_pad sz_byt][--hpss_try] [-l path] [-O] [-p path] [-R] [-r] [--ram_all] [--uio] [-v old_name,new_name] [-v ... ] input-file [ output-file]

DESCRIPTION

ncrename renames dimensions, variables, and attributes in a netCDF file. Each object that has a name in the list of old names is renamed using the corresponding name in the list of new names. All the new names must be unique. Every old name must exist in the input file, unless the name is preceded by the character .. The validity of the old names is not checked prior to the renaming. Thus, if an old name is specified without the the . prefix and is not present in input-file, ncrename will abort.

ncrename is the exception to the normal rules that the user will be interactively prompted before an existing file is changed, and that a temporary copy of an output file is constructed during the operation. If only input-file is specified, then ncrename will change the names of the input-file in place without prompting and without creating a temporary copy of input-file. This is because the renaming operation is considered reversible if the user makes a mistake. The new_name can easily be changed back to old_name by using ncrename one more time.

Note that renaming a dimension to the name of a dependent variable can be used to invert the relationship between an independent coordinate variable and a dependent variable. In this case, the named dependent variable must be one-dimensional and should have no missing values. Such a variable will become a coordinate variable.

According to the netCDF Users Guide, renaming properties in netCDF files does not incur the penalty of recopying the entire file when the new_name is shorter than the old_name.

OPTIONS

-a  old_name, new_name Attribute renaming. The old and new names of the attribute are specified by the associated old_name and new_name values. Global attributes are treated no differently than variable attributes. This option may be specified more than once. You cannot change the attribute name for one particular variable (unless it is uniquely named); all occurrences of the attribute of a given name will be renamed. This is considered an oversight and will be addressed in a future version of NCO.

-d  old_name, new_name Dimension renaming. The old and new names of the dimension are specified by the associated old_name and new_name values. This option may be specified more than once.

-g  old_name, new_name Group renaming. The old and new names of the group are specified by the associated old_name and new_name values. This option may be specified more than once.

-v  old_name, new_name Variable renaming. The old and new names of the variable are specified by the associated old_name and new_name values. This option may be specified more than once.

-i  Interactive. ncrename will prompt for confirmation before overwriting an existing file.

EXAMPLES

Rename the variable p to pressure and t to temperature in netCDF in.nc. In this case p must exist in the input file (or ncrename will abort), but the presence of t is optional:
    ncrename -v p,pressure -v .t,temperature in.nc
ncrename does not automatically attach dimensions to variables of the same name. If you want to rename a coordinate variable so that it remains a coordinate variable, you must separately rename both the dimension and the variable:
    ncrename -d lon,longitude -v lon,longitude in.nc

Create netCDF out.nc identical to in.nc except the attribute _FillValue is changed to missing_value (in all variables which possess it) and the global attribute Zaire is changed to Congo:
    ncrename -a _FillValue,missing_value -a Zaire,Congo in.nc out.nc

AUTHOR
NCO manual pages written by Charlie Zender and originally formatted by Brian Mays.

REPORTING BUGS
Report bugs to <http://sf.net/bugs/?group_id=3331>.

COPYRIGHT
Copyright © 1995-present Charlie Zender
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
The full documentation for NCO is maintained as a Texinfo manual called the NCO Users Guide. Because NCO is mathematical in nature, the documentation includes TeX-intensive portions not viewable on character-based displays. Hence the only complete and authoritative versions of the NCO Users Guide are the PDF (recommended), DVI, and Postscript versions at <http://nco.sf.net/nco.pdf>, <http://nco.sf.net/nco.dvi>, and <http://nco.sf.net/nco.ps>, respectively. HTML and XML versions are available at <http://nco.sf.net/nco.html> and <http://nco.sf.net/nco.xml>, respectively.

If the info and NCO programs are properly installed at your site, the command

    info nco

should give you access to the complete manual, except for the TeX-intensive portions.

ncap2(1), ncatted(1), ncbo(1), ncclimo(1), nces(1), ncecat(1), ncflint(1), ncz2psx(1), ncz2psx(1), ncks(1), nco(1), ncpdq(1), ncra(1), ncrcat(1), ncremap(1), ncrename(1), ncwa(1)

HOMEPAGE
The NCO homepage at <http://nco.sf.net> contains more information.